KeyError: 'SigmaVelocity_n'

Dears,

I’m currently trying to hook up SimScale to Grasshopper following the documentation on the git:

Unfortunately once I try to run the component in Grasshopper I get his error message:

Runtime error (PythonException): Traceback (most recent call last):
  File "c:\program files\python37\lib\site-packages\pandas\core\indexes\base.py", line 3361, in get_loc
    return self._engine.get_loc(casted_key)
  File "pandas\_libs\index.pyx", line 76, in pandas._libs.index.IndexEngine.get_loc
  File "pandas\_libs\index.pyx", line 108, in pandas._libs.index.IndexEngine.get_loc
  File "pandas\_libs\hashtable_class_helper.pxi", line 5198, in pandas._libs.hashtable.PyObjectHashTable.get_item
  File "pandas\_libs\hashtable_class_helper.pxi", line 5206, in pandas._libs.hashtable.PyObjectHashTable.get_item
KeyError: 'SigmaVelocity_n'

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "c:\program files\python37\lib\runpy.py", line 193, in _run_module_as_main
    "__main__", mod_spec)
  File "c:\program files\python37\lib\runpy.py", line 85, in _run_code
    exec(code, run_globals)
  File "C:\Program Files\Python37\Scripts\simscale-eba.exe\__main__.py", line 7, in <module>
  File "c:\program files\python37\lib\site-packages\click\core.py", line 829, in __call__
    return self.main(*args, **kwargs)
  File "c:\program files\python37\lib\site-packages\click\core.py", line 782, in main
    rv = self.invoke(ctx)
  File "c:\program files\python37\lib\site-packages\click\core.py", line 1259, in invoke
    return _process_result(sub_ctx.command.invoke(sub_ctx))
  File "c:\program files\python37\lib\site-packages\click\core.py", line 1066, in invoke
    return ctx.invoke(self.callback, **ctx.params)
  File "c:\program files\python37\lib\site-packages\click\core.py", line 610, in invoke
    return callback(*args, **kwargs)
  File "c:\program files\python37\lib\site-packages\simscale_eba\cli\download_pwc_results.py", line 33, in download_pwc_results
    sim._create_dimensional_quantities()
  File "c:\program files\python37\lib\site-packages\simscale_eba\PedestrianWindComfort.py", line 578, in _create_dimensional_quantities
    df = nd.csv_to_dimensionall_df(self, table, variables)
  File "c:\program files\python37\lib\site-packages\simscale_eba\post_processing\NonDimensionalQuantities.py", line 70, in csv_to_dimensionall_df
    result = tke_total(df)
  File "c:\program files\python37\lib\site-packages\simscale_eba\post_processing\NonDimensionalQuantities.py", line 330, in tke_total
    return tke_resolved(df) + tke_modeled(df)
  File "c:\program files\python37\lib\site-packages\simscale_eba\post_processing\NonDimensionalQuantities.py", line 309, in tke_resolved
    sigma = df["SigmaVelocity_n"].to_numpy()
  File "c:\program files\python37\lib\site-packages\pandas\core\frame.py", line 3458, in __getitem__
    indexer = self.columns.get_loc(key)
  File "c:\program files\python37\lib\site-packages\pandas\core\indexes\base.py", line 3363, in get_loc
    raise KeyError(key) from err
KeyError: 'SigmaVelocity_n'


Traceback:
  line 57, in script

It downloads a bunch of files but I can’t visualize anything in Grasshopper.

Did anyone have this issue before or could anyhow help me solving this problem?

Thanks in advance!

1 Like

Hello!

That’s a relatively unusual error message. Could you please provide a link to the project that you are having difficulties with? (shared with support)

Cheers

Hi Ricardo,
Thanks for your fast reply.

Here’s the link:

It’s a copy of the tutorial file.

1 Like

No problem.

That makes sense, this project is old and it’s missing some information that is necessary for the newer versions of the Grasshopper integration.

Could you try to make a copy of this newer project and use the run under the “Pedestrian Wind Comfort” simulation tree as a base?

This one should work.

Furthermore: did you find a link to that faulty project somewhere in the Git repo?

Cheers